<template>
  <div>
    <div class="mainPanel">
      <div class="bg-topbar row justify-between">
        <div class="row">
          <div class="logo">
            <img src="../../public/favicon.svg" alt="" />
          </div>
          <div class="font-topBar">Bridge Health Monitoring System</div>
        </div>
        <div class="q-pr-md">
          <q-select
            v-model="selectedView"
            :options="optionView"
            class="select-type"
            dense
            dark
            filled
            @input="loadData()"
          />
        </div>
      </div>
      <div style="font-size: 0px">
        <img src="../../public/headermain.png" alt="" class="mainPanel" />
      </div>
      <div class="bodyDiv"></div>
      <div align="center" class="footer">
        <footer-bar />
      </div>
      <div class="project-list">
        <div class="row">
          <div class="col-2"></div>
          <div class="col row">
            <div class="col-4 boxMain">
              <div
                class="box shadow-10 cursor-pointer"
                align="center"
                style="padding-top: 30px"
                @click="addNewProject()"
              >
                <div class="showAdd">+</div>
                <div class="textGreen">Add new project</div>
              </div>
            </div>
            <div class="col-4 boxMain" v-for="item in data">
              <div
                class="box shadow-10 q-pa-md cursor-pointer"
                @click="goToDetail(item.projectID)"
              >
                <div class="textHeader">{{ item.projectName }}</div>
                <div>{{ item.shortenURL }}</div>
                <div class="row justify-between" style="padding-top: 90px">
                  <div>{{ item.dateTime }}</div>
                  <div class="row">
                    <div v-show="item.password">
                      <q-icon name="fa-solid fa-lock" color="grey" />
                    </div>
                    <div v-show="!item.password">
                      <q-icon name="fa-solid fa-lock-open" color="grey" />
                    </div>
                    <div
                      style="width: 50px; padding-top: 2px"
                      class="text-green"
                      v-if="item.status == 1"
                      align="center"
                    >
                      Online
                    </div>
                    <div
                      style="width: 50px; padding-top: 2px"
                      class="text-red"
                      v-else
                      align="center"
                    >
                      Offline
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-2"></div>
        </div>
      </div>
      <footer-bar />
    </div>
  </div>
</template>

<script>
import axios from "axios";
import footerBar from "../components/footer.vue";
export default {
  components: { footerBar },
  data() {
    return {
      optionView: ["All project", "Online", "Offline"],
      selectedView: "All project",
      data: [],
    };
  },
  methods: {
    addNewProject() {
      this.$router.push("/createproject01");
    },
    goToDetail(projectID) {
      //Save project detail to localStorage
      let dataSave = this.data.filter((x) => x.projectID == projectID)[0];
      this.$q.localStorage.set("projectInfo", dataSave);
      this.$router.push("/info/" + projectID);
    },
    async loadData() {
      let type = 3;
      if (this.selectedView == "Online") {
        type = 1;
      } else if (this.selectedView == "Offline") {
        type = 0;
      }
      let key = this.$q.localStorage.getItem("key");
      let dataSend = {
        key: key,
        type: type,
      };
      let url = this.apiPath + "loadproject.php";
      let res = await axios.post(url, JSON.stringify(dataSend));
      if (res.data == "logout") {
        this.$q.localStorage.clear();
        this.$router.push("/");
      } else {
        this.data = res.data;
      }
    },
  },
  mounted() {
    this.loadData();
  },
};
</script>

<style scoped>
.mainPanel {
  color: black;
  max-width: 1400px;
  width: 100%;
  margin: auto;
  font-size: 16px;
}
.bodyDiv {
  background-color: #f2f2f2;
  font-size: 16px;
  color: black;
  min-height: calc(100vh - 360px);
}
.footer {
  width: 100%;
  max-width: 1400px;
  margin: auto;
}
.project-list {
  width: 100%;
  max-width: 1400px;
  height: calc(100vh - 280px);
  position: absolute;
  top: 250px;
  overflow-y: auto;
  font-size: 16px;
}
.box {
  width: 90%;
  height: 200px;
  border-radius: 10px;
  background-color: white;
  margin: auto;
}
.bg-topbar {
  background-color: #585858;
  color: white;
  height: 40px;
  padding-left: 10px;
}
.logo {
  padding-top: 5px;
  padding-right: 10px;
}
.font-topBar {
  line-height: 40px;
  font-size: 20px;
}
.select-type {
  width: 200px;
}
.boxMain {
  padding-bottom: 20px;
}
.showAdd {
  color: #287377;
  font-size: 60px;
}
.textGreen {
  color: #287377;
}
.textHeader {
  font-weight: bold;
  font-size: 18px;
}
</style>
